public interface InstanceGroupManagerResizeRequestsListResponseOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getId()
public abstract String getId()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public abstract ByteString getIdBytes()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getItems(int index)
public abstract InstanceGroupManagerResizeRequest getItems(int index)A list of resize request resources.
repeated .google.cloud.compute.v1.InstanceGroupManagerResizeRequest items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerResizeRequest |
|
getItemsCount()
public abstract int getItemsCount()A list of resize request resources.
repeated .google.cloud.compute.v1.InstanceGroupManagerResizeRequest items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsList()
public abstract List<InstanceGroupManagerResizeRequest> getItemsList()A list of resize request resources.
repeated .google.cloud.compute.v1.InstanceGroupManagerResizeRequest items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<InstanceGroupManagerResizeRequest> |
|
getItemsOrBuilder(int index)
public abstract InstanceGroupManagerResizeRequestOrBuilder getItemsOrBuilder(int index)A list of resize request resources.
repeated .google.cloud.compute.v1.InstanceGroupManagerResizeRequest items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerResizeRequestOrBuilder |
|
getItemsOrBuilderList()
public abstract List<? extends InstanceGroupManagerResizeRequestOrBuilder> getItemsOrBuilderList()A list of resize request resources.
repeated .google.cloud.compute.v1.InstanceGroupManagerResizeRequest items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.compute.v1.InstanceGroupManagerResizeRequestOrBuilder> |
|
getKind()
public abstract String getKind()Output only. Type of the resource. Alwayscompute#instanceGroupManagerResizeRequestList for a list of resize requests.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public abstract ByteString getKindBytes()Output only. Type of the resource. Alwayscompute#instanceGroupManagerResizeRequestList for a list of resize requests.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getNextPageToken()
public abstract String getNextPageToken()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use thenextPageToken as a value for the query parameterpageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use thenextPageToken as a value for the query parameterpageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getSelfLink()
public abstract String getSelfLink()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public abstract ByteString getSelfLinkBytes()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getWarning()
public abstract Warning getWarning()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning |
The warning. |
getWarningOrBuilder()
public abstract WarningOrBuilder getWarningOrBuilder()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
WarningOrBuilder |
|
hasId()
public abstract boolean hasId()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public abstract boolean hasKind()Output only. Type of the resource. Alwayscompute#instanceGroupManagerResizeRequestList for a list of resize requests.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasNextPageToken()
public abstract boolean hasNextPageToken()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use thenextPageToken as a value for the query parameterpageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
hasSelfLink()
public abstract boolean hasSelfLink()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasWarning()
public abstract boolean hasWarning()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the warning field is set. |